
TYPO3.Flow - Feature # 29514

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: AOP
Created: 2011-09-06 Assigned To: Andreas Förthner
Updated: 2011-12-21 Due date:
PHP Version:
Has patch:
Complexity:
Subject: AOP advices should be able to change method arguments
Description

This can be done by adding a simple setter in the corresponding joinpoint.

Related issues:
duplicated by TYPO3.Flow - Feature # 27115: AOP should provide a way to chang... Closed 2011-05-29

Associated revisions
Revision 66b80956 - 2011-11-04 12:48 - Stephan Schuler

[FEATURE] AOP: Make JoinPoint methodArguments settable

As at least BeforeAdvices and AroundAdvices can be
used to manipulate the behavior of the original method,
the advice method should be able to change the
original method's arguments.

Change-Id: I5f1698ad8650497f20984e7adc939edf30d4f70c
Resolves: #29514
Releases: 1.1

History
#1 - 2011-09-06 15:22 - Andreas Förthner
- Tracker changed from Bug to Feature

#2 - 2011-09-06 15:47 - Mr. Hudson
- Status changed from New to Under Review

Patch set 2 of change I5f1698ad8650497f20984e7adc939edf30d4f70c has been pushed to the review server.
It is available at http://review.typo3.org/2986

#3 - 2011-09-09 15:17 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#4 - 2011-10-20 01:29 - Karsten Dambekalns
- Target version changed from 1.0.0 to 1.1

#5 - 2011-11-04 12:53 - Mr. Hudson
Patch set 3 of change I5f1698ad8650497f20984e7adc939edf30d4f70c has been pushed to the review server.
It is available at http://review.typo3.org/2986

#6 - 2011-11-04 13:06 - Stephan Schuler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:66b809564eab282ed6cf791bbdcd5ed81727816a.

#7 - 2011-12-21 12:37 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
